cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/v2/projects/{id} \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/v2/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/v2/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "64f2a8c8a2b3c4d5e6f7a8b9",
"crm": "ghl",
"locationId": "loc_9f7a123",
"companyId": "company_123",
"timezone": "America/New_York",
"agencyName": "Acme Agency",
"agencyId": "partner_123",
"active": true,
"status": "live",
"installed": true,
"callbacksHandledByHuman": false,
"multipleTimezoneCheck": true,
"callingWindowOverride": null,
"knowledgeBase": "Clinic hours are Monday through Friday, 9 AM to 5 PM.",
"businessName": "Acme Clinic",
"businessNameOverridden": false,
"campaigns": [
{
"id": "campaign_speed_to_lead_123",
"name": "Speed to Lead",
"activeTags": [
"new_lead"
],
"inactiveTags": [
"do_not_call"
],
"dialing": "s2l_pd",
"agentType": "appointment_booking",
"agentId": "agent_2b7c9f4a",
"fromNumbers": [
"+14155551234"
],
"active": false,
"callingWindow": {
"days": [
1,
2,
3,
4,
5
],
"start": "09:00",
"end": "17:00",
"tz": "America/New_York"
},
"multipleTimezoneCheck": true,
"dropOutsideWindow": false,
"config": {
"cadenceId": "cadence_123",
"calendarId": "calendar_primary",
"transferNumber": "+14155550100"
},
"createdAt": "2026-07-08T16:20:00.000Z",
"updatedAt": "2026-07-08T16:30:00.000Z"
}
],
"createdAt": "2026-07-08T16:10:00.000Z",
"updatedAt": "2026-07-08T16:30:00.000Z",
"ghl": {
"id": "loc_9f7a123",
"name": "Acme Clinic",
"timezone": "America/New_York",
"country": "US",
"phone": "+14155550000",
"address": "100 Market St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"email": "frontdesk@example.test",
"website": "https://example.test"
}
}
}{
"success": false,
"error": "VALIDATION",
"message": "businessName is required."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"success": false,
"message": "Project not found."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}Get project
Fetch a single visible project, including its campaigns and live connection state. Customer role: agency_admin.
Required API key scope: projects:read.
GET
/
api
/
v2
/
projects
/
{id}
cURL
⌘I
